%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

%define tools_version 2.9.2
%define linux_version 2.9.2

%define progs dahdi_diag fxstest hdlcgen hdlcstress hdlctest hdlcverify patgen patlooptest pattest timertest

%define major 2
%define libname libtonezone
%define develname libtonezone-devel

Summary:        Userspace tools and DAHDI kernel modules
Name:           dahdi
Version:        2.9.2
Release: 1.scopserv
Group:          System/Kernel and hardware
License:        GPLv2 and LGPLv2
URL:            http://www.asterisk.org/
Packager: Joel Vandal <joel.com>
Vendor: ScopServ Repository, http://mirrors.scopserv.com/

Source0:        http://downloads.digium.com/pub/telephony/dahdi-tools/dahdi-tools-%{tools_version}.tar.gz
Source1:        http://downloads.digium.com/pub/telephony/dahdi-linux/dahdi-linux-%{linux_version}.tar.gz

Source2:        oslec.tgz


Source9:        http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-032-1.05.01.tar.gz
Source10:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-064-1.05.01.tar.gz
Source11:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-128-1.05.01.tar.gz
Source16:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-256-1.05.01.tar.gz
Source17:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te820-1.76.tar.gz
Source12:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-tc400m-MR6.12.tar.gz
Source13:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fwload-vpmadt032-1.25.0.tar.gz
Source14:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-hx8-2.06.tar.gz
Source15:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-vpmoct032-1.12.0.tar.gz

Source20:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te133-780019.tar.gz
Source21:       http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te134-780017.tar.gz

#Patch0:         dahdi-tools-mdv.diff

Patch2:         dahdi-dummy-failback.patch
Patch3:         dahdi-dynamic-multispans.patch
Patch4:         dahdi-dynamic-udp.patch

# Patch1:         dahdi-wanpipe.init.patch
# Patch5:         fix-dynamic-shutdown.patch
Patch5:         dahdi-init.diff
Patch6:         dummy.fix

### Patch10:        xdefs-xpp.diff

BuildRequires:  newt-devel
BuildRequires:  libusb-devel
# BuildConflicts: libtonezone-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:       dahdi-tools, dkms-dahdi
Obsoletes:      zaptel, dkms-zaptel

%description
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
provides the userspace tools to configure the DAHDI kernel modules and the
kernel modules. DAHDI is the replacement for Zaptel, which must be renamed due
to trademark issues.

%package        tools
Summary:        Userspace tools to configure the DAHDI kernel modules
Group:          System/Kernel and hardware
Provides:       zaptel
Obsoletes:      zaptel

%description    tools
DAHDI stands for Digium Asterisk Hardware Device Interface.

This package contains the userspace tools to configure the DAHDI kernel
modules. DAHDI is the replacement for Zaptel, which must be renamed due to
trademark issues.

The DAHDI Telephony Interface drivers is contained in the kernel-dahdi
(or dkms) package.

%package -n %{libname}
Summary:        The shared DAHDI Library
Group:          System/Libraries

%description -n %{libname}
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
contains the userspace tools to configure the DAHDI kernel modules. DAHDI is
the replacement for Zaptel, which must be renamed due to trademark issues.

This package contains libraries for accessing DAHDI hardware.

The DAHDI drivers is contained in the kernel-dahdi (or dkms) package.

%package -n %{develname}
Summary:        Development files for the DAHDI Library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       tonezone-devel = %{version}-%{release}
Provides:       dahdi-devel = %{version}-%{release}
Provides:       libtonezone-devel = %{version}-%{release}

%description -n %{develname}
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
contains the userspace tools to configure the DAHDI kernel modules. DAHDI is
the replacement for Zaptel, which must be renamed due to trademark issues.

This package contains the tonezone library and the development headers for
DAHDI.

%package -n perl-Dahdi
Summary:        Interface to Dahdi information
Group:          Development/Perl

%description -n perl-Dahdi
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
contains the userspace tools to configure the DAHDI kernel modules. DAHDI is
the replacement for Zaptel, which must be renamed due to trademark issues.

This package allows access from Perl to information about Dahdi hardware and
loaded Dahdi devices.

%package -n dkms-dahdi
Summary:        Kernel drivers for the Digium Asterisk Hardware Device Interface (DAHDI)
Group:          System/Kernel and hardware
Requires:       dkms
Requires:       dahdi-tools >= %{tools_version}
# Requires:       sethdlc >= 1.15
Provides:       dkms-zaptel
Obsoletes:      dkms-zaptel

%description -n dkms-dahdi
DAHDI stands for Digium Asterisk Hardware Device Interface.

This package contains the kernel modules for DAHDI. For the required 
userspace tools see the package dahdi-tools.

%prep

%setup -q -n dahdi-tools-%{tools_version} -a1
ln -s dahdi-linux-%{linux_version}/include include

tar -C dahdi-linux-%{linux_version}/drivers/ -zpxf %{SOURCE2}

for i in %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE20} %{SOURCE21}; do
    cp -a $i dahdi-linux-%{linux_version}/drivers/dahdi/firmware/
    tar -C dahdi-linux-%{linux_version}/drivers/dahdi/firmware -zpxf $i
done

tar -C dahdi-linux-%{linux_version}/ -zpxvf %{SOURCE13}

#### ARCH #######
#### ARCH #######
#### ARCH #######

cp dahdi-linux-%{linux_version}/drivers/dahdi/vpmadt032_loader/vpmadt032_x86_32.o_shipped dahdi-linux-%{linux_version}/drivers/dahdi/vpmadt032_loader/vpmadt032_x86_32.o

#### ARCH #######
#### ARCH #######
#### ARCH #######
#### ARCH #######

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
                
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

#%patch0 -p0

# %patch1 -p0

pushd dahdi-linux-%{linux_version}/

### %patch10 -p1

make include/dahdi/version.h

## %patch2 -p1
# %patch3 -p1
## %patch4 -p1

##  %patch6 -p1

sed -i "s|#obj-m += dahdi_echocan_oslec.o|obj-m += dahdi_echocan_oslec.o|" drivers/dahdi/Kbuild
sed -i "s|#obj-m += ../staging/echo/|obj-m += ../staging/echo/|" drivers/dahdi/Kbuild
echo 'obj-m += echo.o' > drivers/staging/echo/Kbuild

popd

%patch5 -p1

%{__perl} -pi -e 's/chkconfig:\s([0-9]+)\s([0-9]+)\s([0-9]+)/chkconfig: - \2 \3/' dahdi.init

%build

# pushd menuselect/mxml
# %configure
# popd

# pushd menuselect
# %configure
# popd

%configure \
    --disable-static \
    --with-dahdi=`pwd` \
    --with-newt=%{_prefix} \
    --with-usb=%{_prefix}

make

for prog in %progs; do
    make $prog
done

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{buildroot}%{_includedir}

make install config DESTDIR=%{buildroot} PERLLIBDIR=%{perl_vendorlib}

for prog in %progs; do
    install -m0755 $prog %{buildroot}%{_sbindir}/
done

# fix one conflicting file with tetex
mv %{buildroot}%{_sbindir}/patgen %{buildroot}%{_sbindir}/%{name}-patgen

find %{buildroot} -name '*.a' -exec rm -f {} ';'

ln -sf ../../..%{_datadir}/dahdi/xpp_fxloader %{buildroot}%{_sysconfdir}/hotplug/usb/xpp_fxloader

pushd dahdi-linux-%{linux_version}
    make DESTDIR=%{buildroot} \
        install-xpp-firm \
        install-firmware \
        install-include \
        HOTPLUG_FIRMWARE=yes \
        DYNFS=yes \
        UDEVRULES=yes \
        DOWNLOAD=wget

#        install-devices \
popd

for file in %{buildroot}/etc/udev/rules.d/*.rules; do
  name=`basename $file`
  mv $file %{buildroot}/etc/udev/rules.d/40-$name
done

install -d %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}
cp      dahdi-linux-%{linux_version}/Makefile \
        dahdi-linux-%{linux_version}/.version \
        %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/

cp -r   dahdi-linux-%{linux_version}/build_tools \
        dahdi-linux-%{linux_version}/drivers \
        dahdi-linux-%{linux_version}/include \
        %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/

# Remove files that produce weird dependencies
rm      %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/drivers/dahdi/oct612x/get_discards

cat > %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{linux_version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="dahdi"
MAKE[0]="make modules KERNVER=\$kernelver DOWNLOAD=wget"
CLEAN="make KERNVER=\$kernelver clean DOWNLOAD=wget"

BUILT_MODULE_NAME[0]="dahdi"
BUILT_MODULE_LOCATION[0]="drivers/dahdi/"
DEST_MODULE_LOCATION[0]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[1]="echo"
BUILT_MODULE_LOCATION[1]="drivers/staging/echo"
DEST_MODULE_LOCATION[1]="/kernel/drivers/telephony/dahdi"

# BUILT_MODULE_NAME[1]="dahdi_dummy"
# BUILT_MODULE_LOCATION[1]="drivers/dahdi/"
# DEST_MODULE_LOCATION[1]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[2]="dahdi_dynamic"
BUILT_MODULE_LOCATION[2]="drivers/dahdi/"
DEST_MODULE_LOCATION[2]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[3]="dahdi_dynamic_eth"
BUILT_MODULE_LOCATION[3]="drivers/dahdi/"
DEST_MODULE_LOCATION[3]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[4]="dahdi_dynamic_loc"
BUILT_MODULE_LOCATION[4]="drivers/dahdi/"
DEST_MODULE_LOCATION[4]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[5]="dahdi_echocan_jpah"
BUILT_MODULE_LOCATION[5]="drivers/dahdi/"
DEST_MODULE_LOCATION[5]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[6]="dahdi_echocan_kb1"
BUILT_MODULE_LOCATION[6]="drivers/dahdi/"
DEST_MODULE_LOCATION[6]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[7]="dahdi_echocan_mg2"
BUILT_MODULE_LOCATION[7]="drivers/dahdi/"
DEST_MODULE_LOCATION[7]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[8]="dahdi_echocan_sec"
BUILT_MODULE_LOCATION[8]="drivers/dahdi/"
DEST_MODULE_LOCATION[8]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[9]="dahdi_echocan_sec2"
BUILT_MODULE_LOCATION[9]="drivers/dahdi/"
DEST_MODULE_LOCATION[9]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[10]="dahdi_transcode"
BUILT_MODULE_LOCATION[10]="drivers/dahdi/"
DEST_MODULE_LOCATION[10]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[11]="pciradio"
BUILT_MODULE_LOCATION[11]="drivers/dahdi/"
DEST_MODULE_LOCATION[11]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[12]="tor2"
BUILT_MODULE_LOCATION[12]="drivers/dahdi/"
DEST_MODULE_LOCATION[12]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[13]="wcb4xxp"
BUILT_MODULE_LOCATION[13]="drivers/dahdi/wcb4xxp/"
DEST_MODULE_LOCATION[13]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[14]="wcfxo"
BUILT_MODULE_LOCATION[14]="drivers/dahdi/"
DEST_MODULE_LOCATION[14]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[15]="wct1xxp"
BUILT_MODULE_LOCATION[15]="drivers/dahdi/"
DEST_MODULE_LOCATION[15]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[16]="wct4xxp"
BUILT_MODULE_LOCATION[16]="drivers/dahdi/wct4xxp/"
DEST_MODULE_LOCATION[16]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[17]="wctc4xxp"
BUILT_MODULE_LOCATION[17]="drivers/dahdi/wctc4xxp/"
DEST_MODULE_LOCATION[17]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[18]="wctdm"
BUILT_MODULE_LOCATION[18]="drivers/dahdi/"
DEST_MODULE_LOCATION[18]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[19]="wctdm24xxp"
BUILT_MODULE_LOCATION[19]="drivers/dahdi/wctdm24xxp/"
DEST_MODULE_LOCATION[19]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[20]="wcte11xp"
BUILT_MODULE_LOCATION[20]="drivers/dahdi/"
DEST_MODULE_LOCATION[20]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[21]="wcte12xp"
BUILT_MODULE_LOCATION[21]="drivers/dahdi/wcte12xp/"
DEST_MODULE_LOCATION[21]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[22]="xpd_fxo"
BUILT_MODULE_LOCATION[22]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[22]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[23]="xpd_fxs"
BUILT_MODULE_LOCATION[23]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[23]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[24]="xpd_pri"
BUILT_MODULE_LOCATION[24]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[24]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[25]="xpp"
BUILT_MODULE_LOCATION[25]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[25]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[26]="xpp_usb"
BUILT_MODULE_LOCATION[26]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[26]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[27]="dahdi_echocan_oslec"
BUILT_MODULE_LOCATION[27]="drivers/dahdi/"
DEST_MODULE_LOCATION[27]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[28]="dahdi_vpmadt032_loader"
BUILT_MODULE_LOCATION[28]="drivers/dahdi/"
DEST_MODULE_LOCATION[28]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[29]="dahdi_voicebus"
BUILT_MODULE_LOCATION[29]="drivers/dahdi/voicebus/"
DEST_MODULE_LOCATION[29]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[30]="dahdi_dynamic_ethmf"
BUILT_MODULE_LOCATION[30]="drivers/dahdi/"
DEST_MODULE_LOCATION[30]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[31]="oct612x"
BUILT_MODULE_LOCATION[31]="drivers/dahdi/oct612x"
DEST_MODULE_LOCATION[31]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[32]="wcte13xp"
BUILT_MODULE_LOCATION[32]="drivers/dahdi/"
DEST_MODULE_LOCATION[32]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[33]="wcte43x"
BUILT_MODULE_LOCATION[33]="drivers/dahdi/"
DEST_MODULE_LOCATION[33]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[34]="wcaxx"
BUILT_MODULE_LOCATION[34]="drivers/dahdi/"
DEST_MODULE_LOCATION[34]="/kernel/drivers/telephony/dahdi"

AUTOINSTALL=yes
EOF

# cleanup
rm -f %{buildroot}%{_sbindir}/sethdlc
rm -rf %{buildroot}/usr/lib/hotplug/firmware
rm -f drivers/dahdi/firmware/*.{bin,gz}
rm -f %{buildroot}%{_libdir}/libtonezone.so.1.0
rm -f %{buildroot}%{_libdir}/libtonezone.so.1

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%pre tools
%{_sbindir}/groupadd -r dahdi &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d /usr/share/dahdi -M \
    -c 'DAHDI User' -g dahdi dahdi &>/dev/null || :

%post tools
/sbin/chkconfig --add dahdi

%preun tools
if [ "$1" -eq "0" ]; then
    /sbin/service dahdi stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del dahdi
fi

%post -n dkms-dahdi
dkms add -m     dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade
dkms build -m   dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade
dkms install -m dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade --force

if [ -L /usr/src/dahdi ]; then
  rm -rf /usr/src/dahdi
fi
    
if [ -d /usr/src/dahdi ]; then
  mv /usr/src/dahdi /usr/src/dahdi.rpmsave
fi
  
ln -s /usr/src/dahdi-%{version}-%{release} /usr/src/dahdi

# %_post_service dahdi

%preun -n dkms-dahdi
dkms remove -m  dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade --all
# %_preun_service dahdi

%pre -n dkms-dahdi
# %_pre_useradd asterisk /var/lib/asterisk /bin/sh

%postun -n dkms-dahdi
# %_postun_userdel asterisk

%clean
rm -rf %{buildroot}

%files 
%doc README LICENSE LICENSE.LGPL

%files tools
%defattr(-,root,root,-)
%doc README LICENSE LICENSE.LGPL
%dir %{_sysconfdir}/dahdi
%config(noreplace) %{_sysconfdir}/dahdi/init.conf
%config(noreplace) %{_sysconfdir}/dahdi/modules
%config(noreplace) %{_sysconfdir}/dahdi/system.conf
%{_sysconfdir}/hotplug/usb/xpp_fxloader
%config(noreplace) %{_sysconfdir}/hotplug/usb/xpp_fxloader.usermap
%config(noreplace) %{_sysconfdir}/modprobe.d/dahdi.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/dahdi.blacklist.conf
%{_initrddir}/dahdi
%{_sbindir}/dahdi_cfg
%{_sbindir}/dahdi_diag
%{_sbindir}/dahdi_genconf
%{_sbindir}/dahdi_hardware
%{_sbindir}/dahdi_monitor
%{_sbindir}/dahdi_registration
%{_sbindir}/dahdi_scan
%{_sbindir}/dahdi_speed
%{_sbindir}/dahdi_test
%{_sbindir}/dahdi_tool
%{_sbindir}/dahdi_maint
%{_sbindir}/dahdi-patgen
### 2.6.10 %{_sbindir}/fpga_load
%{_sbindir}/fxotune
%{_sbindir}/fxstest
%{_sbindir}/hdlcgen
%{_sbindir}/hdlcstress
%{_sbindir}/hdlctest
%{_sbindir}/hdlcverify
%{_sbindir}/lsdahdi
%{_sbindir}/patlooptest
%{_sbindir}/pattest
%{_sbindir}/timertest
%{_sbindir}/xpp_blink
%{_sbindir}/xpp_sync

/etc/dahdi/genconf_parameters
%{_sbindir}/astribank_allow
%{_sbindir}/astribank_hexload
%{_sbindir}/astribank_is_starting
%{_sbindir}/astribank_tool
%{_sbindir}/twinstar

%{_datadir}/dahdi/astribank_hook

%{_mandir}/man8/astribank_allow.8.gz
%{_mandir}/man8/astribank_hexload.8.gz
%{_mandir}/man8/astribank_is_starting.8.gz
%{_mandir}/man8/astribank_tool.8.gz
%{_mandir}/man8/twinstar.8.gz
%{_mandir}/man8/dahdi_maint.8.gz
						      
%{_datadir}/dahdi/xpp_fxloader
%{_datadir}/dahdi/waitfor_xpds
%{_mandir}/man8/dahdi_cfg.8.*
%{_mandir}/man8/dahdi_genconf.8.*
%{_mandir}/man8/dahdi_hardware.8.*
%{_mandir}/man8/dahdi_monitor.8.*
%{_mandir}/man8/dahdi_registration.8.*
%{_mandir}/man8/dahdi_scan.8.*
%{_mandir}/man8/dahdi_test.8.*
%{_mandir}/man8/dahdi_tool.8.*
## fpga_load %{_mandir}/man8/fpga_load.8.*
%{_mandir}/man8/fxotune.8.*
%{_mandir}/man8/lsdahdi.8.*
%{_mandir}/man8/xpp_blink.8.*
%{_mandir}/man8/xpp_sync.8.*

/etc/bash_completion.d/dahdi
/etc/dahdi/assigned-spans.conf.sample
/etc/dahdi/span-types.conf.sample
%{_sbindir}/dahdi_span_assignments
%{_sbindir}/dahdi_span_types
%{_sbindir}/dahdi_waitfor_span_assignments

%{_datadir}/dahdi/dahdi_auto_assign_compat
%{_datadir}/dahdi/dahdi_handle_device
%{_datadir}/dahdi/dahdi_span_config
%{_datadir}/dahdi/handle_device.d/10-span-types
%{_datadir}/dahdi/handle_device.d/20-span-assignments
%{_datadir}/dahdi/span_config.d/10-dahdi-cfg
%{_datadir}/dahdi/span_config.d/20-fxotune
%{_datadir}/dahdi/span_config.d/50-asterisk
%{_mandir}/man8/dahdi_span_assignments.8.gz
%{_mandir}/man8/dahdi_span_types.8.gz
%{_mandir}/man8/dahdi_waitfor_span_assignments.8.gz


%files -n %{libname}
%defattr(-,root,root)
%doc README LICENSE LICENSE.LGPL
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/dahdi
%{_includedir}/dahdi/*.h
%{_libdir}/*.so

%files -n perl-Dahdi
%defattr(-,root,root)
%{perl_vendorlib}/Dahdi
%{perl_vendorlib}/Dahdi.pm

%files -n dkms-dahdi
%defattr(-,root,root)
# %doc dahdi-linux-%{linux_version}/ChangeLog
%doc dahdi-linux-%{linux_version}/LICENSE*
%doc dahdi-linux-%{linux_version}/README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/40-dahdi.rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/40-xpp.rules
/lib/firmware/dahdi*
/lib/firmware/.dahdi*

%{_datadir}/dahdi/USB_RECOV.hex
       
%{_datadir}/dahdi/PIC_TYPE_1.hex
%{_datadir}/dahdi/PIC_TYPE_2.hex
%{_datadir}/dahdi/PIC_TYPE_3.hex
%{_datadir}/dahdi/PIC_TYPE_4.hex

%{_datadir}/dahdi/FPGA_1141.hex
%{_datadir}/dahdi/FPGA_1151.hex
%{_datadir}/dahdi/FPGA_1161.hex
%{_datadir}/dahdi/FPGA_1161.201.hex
%{_datadir}/dahdi/FPGA_1161.202.hex
%{_datadir}/dahdi/FPGA_FXS.hex
%{_datadir}/dahdi/USB_FW.hex
%{_datadir}/dahdi/USB_FW.201.hex
%{_datadir}/dahdi/USB_FW.202.hex
%{_datadir}/dahdi/XppConfig.pm
%{_datadir}/dahdi/init_card_1_30
%{_datadir}/dahdi/init_card_2_30
%{_datadir}/dahdi/init_card_3_30
%{_datadir}/dahdi/init_card_4_30
%{_datadir}/dahdi/init_card_5_30
/usr/src/dahdi-%{linux_version}-%{release}

%changelog
* Thu Jun 24 2010 Joel Vandal <joel@scopserv.com> 2.3.0-1
- update to 2.3.0.1

* Sun Apr 11 2010 Joel Vandal <joel@scopserv.com> 2.2.1.1-1
- update to 2.2.1.1

* Mon Mar 22 2010 Joel Vandal <joel@scopserv.com> 2.2.1-1
- update to 2.2.1

* Tue May 12 2009 Joel Vandal <joel@scopserv.com> 2.1.0.2-1
- initial ScopServ release (replaces zaptel)
